> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Route liquidity limit

> Returns the maximum fillable amount for a single deposit on the given source→destination route.



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator.json get /liquidity
openapi: 3.0.2
info:
  title: Rhinestone Orchestrator API
  version: 1.0.0
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /liquidity:
    get:
      tags:
        - Utilities
      summary: Route liquidity limit
      description: >-
        Returns the maximum fillable amount for a single deposit on the given
        source→destination route.
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            description: Rhinestone API key
        - name: x-api-version
          in: header
          schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version (YYYY-MM.name). Will become required in a future
              release.
            example: 2026-01.alps
        - name: sourceChainId
          in: query
          description: Source chain ID
          required: true
          schema:
            type: integer
            minimum: 1
            example: 1
        - name: sourceToken
          in: query
          description: Source token address
          required: true
          schema:
            type: string
            example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
        - name: destinationChainId
          in: query
          description: Destination chain ID
          required: true
          schema:
            type: integer
            minimum: 1
            example: 8453
        - name: destinationToken
          in: query
          description: Destination token address
          required: true
          schema:
            type: string
            example: '0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  symbol:
                    type: string
                    description: Destination token symbol
                    example: USDC
                  decimals:
                    type: number
                    description: Destination token decimals
                    example: 6
                  unlimited:
                    type: boolean
                    description: >-
                      True when an uncapped settlement layer (e.g. OFT) supports
                      this route
                    example: false
                  maxAmount:
                    type: string
                    nullable: true
                    description: >-
                      Largest fillable amount for this token by a single relayer
                      instance. Null when unlimited.
                    example: '200000000000'
                required:
                  - symbol
                  - decimals
                  - unlimited
                  - maxAmount
                description: Liquidity information for the requested route
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          description: Error message
                          example: Invalid input
                        context:
                          nullable: true
                          description: Additional error context
                      required:
                        - message
                  traceId:
                    type: string
                    description: Trace ID
                    example: eb0ba4657f36364b33ec565c15f98368
                required:
                  - errors
                  - traceId
                description: Invalid request parameters
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message describing the server-side issue
                    example: An unknown error occurred
                required:
                  - error
                description: Server error

````